{% extends "quizapp/base.html" %}
{% block title %} | Registrace {{ team.name }}{% endblock %}
{% block body %}
            <ol class="breadcrumb" style="background-color: transparent; padding-top: 0; padding-bottom: 0; padding: calc(1rem + 30px) calc(1rem + 30px) 0 calc(1rem + 30px) ">
            <li class="breadcrumb-item">
                <a href="{% url 'team' team.id %}" style="color: inherit">
                {{ team.name }}
                </a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">Registrace</li>
        </ol>
    <h3 style="padding: 0 calc(1rem + 30px) calc(1rem + 30px) calc(1rem + 30px)">Registrace týmu {{ team.name }}</h3>
    <div class="row justify-content-around" style="padding: 0 calc(2rem + 30px) 0 calc(2rem + 30px)">
        <div class="card bg-light col-lg-12">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 d-flex  align-items-center">
                        <h5 class="card-title">Přihlásit se na kvíz: </h5>
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    {% for quiz in quizzes_not_registered %}
                            <hr style="width: 100%"/>
                       </div>
                        <div class="row justify-content-between" style="padding: 0 1rem 0 1rem">
                        <div class="col-8" style="padding: 0">
                             <a href="{% url 'quiz' quiz.id %}">
                                <h5 class="card-title">{{ quiz.start|date:"d. m. Y" }}
                                    {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
                                        - {{ quiz.end|date:"d. m. Y" }}
                                    {% endif %}
                                </h5>
                            </a>
                            <p class="card-text">
                                Témata:
                                {% with quiz.topic_set.all as topics %}
                                    {% for topic in topics %}
                                        {{ topic.name }}
                                    {% endfor %}
                                {% endwith %}
                            </p>
                        </div>
                        <div class="col-1" style="padding: 0">
                            <a class="btn btn-primary" style="float: right" href="{% url 'addregistration' team.id quiz.id 0 %}" role="button">Přihlásit se</a>
                        </div>
                        </div><div class="row">
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
    <div class="row justify-content-around" style="padding: 0 calc(2rem + 30px) 0 calc(2rem + 30px); margin-top: 2rem">
        <div class="card bg-light col-lg-12">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 d-flex  align-items-center">
                        <h5 class="card-title">Odhlásit se z kvízu: </h5>
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    {% for quiz in quizzes_registered %}
                            <hr style="width: 100%"/>
                       </div>
                        <div class="row justify-content-between" style="padding: 0 1rem 0 1rem">
                        <div class="col-8" style="padding: 0">
                             <a href="{% url 'quiz' quiz.id %}">
                                <h5 class="card-title">{{ quiz.start|date:"d. m. Y" }}
                                    {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
                                        - {{ quiz.end|date:"d. m. Y" }}
                                    {% endif %}
                                </h5>
                            </a>
                            <p class="card-text">
                                Témata:
                                {% with quiz.topic_set.all as topics %}
                                    {% for topic in topics %}
                                        {{ topic.name }}
                                    {% endfor %}
                                {% endwith %}
                            </p>
                        </div>
                        <div class="col-1" style="padding: 0">
                            <a class="btn btn-primary" style="float: right" href="{% url 'deleteregistration' team.id quiz.id 0%}" role="button">Odhlásit se</a>
                        </div>
                        </div><div class="row">
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
